import { GC, OnesTable } from '../../../../@ones-table/common';
import './style-pane.scss';
export default class StylePane {
    private table;
    private _root;
    private _colorSelect;
    private _colorItems;
    private _sheet;
    private _chart;
    private _styleEditor;
    private _titleInput;
    constructor(table: OnesTable);
    root(): HTMLElement;
    destroy(): void;
    private handleClickColorSeriesItem;
    private handleStyleChange;
    private handleTitleInput;
    update(sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart): void;
    refresh(): void;
}
